$(document).ready(function() {
    $("a.thickbox_resized").fancybox();
    
    $("a.thickbox_resized").fancybox({
        'overlayShow'			: false,
        'zoomSpeedIn'			: 200,
        'zoomSpeedOut'			: 200
    });
    // stretch();
});

// function stretch(){
//     length = 0;
//     $('.b-sevice ul li').each(function(){
//         length += $(this).width() + 17;
//     });
//     $('.b-sevice').css('margin-left', Math.round(($('.b-sevice').width() - length)/2));
//     $('.b-sevice ul').width('100%');
// }
//
// $(window).resize(function(){
//   stretch();
// });


function subscribe(cmd){   //функция добавления адреса с базу рассылки
  if (mail_check('mail_name')) return;
  
  params = new Object();
  
  params['email'] = $('#mail_name').val();
  params['contact_person'] = $('#contact_person').val();
  params['phone'] = $('#phone').val();
  params['cmd'] = cmd;
  
  $.post(
    '../ajax/subscribe.php',
    params,  
    function(data){
      switch (data){
        case 'checked': 
          data = "На ваш E-mail было отправлено письмо с ссылкой для активизации подписки на рассылку."
        break;
        
        case 'exists':
          data = "Ваш E-mail уже присутствует в базе рассылки.<br /> Чтобы отказаться от подписки, запоните <a href='javascript:to_form();'>форму</a>"
        break;
        
        case 'deleted':
          data = "На ваш E-mail было отправлено письмо с ссылкой для удаления подписки на рассылку."
        break;
      
      }
      
      $('#v_subcribe_form').html(data);
    }
  );
  
}//function subscribe

function mail_check(email_id){ //функция проверки e-mail на валидность
    var email = $('#'+email_id).val();
    re = /([\.\-_@][\.\-_@])|(^[\.])|(^[\-])|(^[\@])/;
    result = re.test(email);
    if(!result)     
    {
        re = /^[\w\-\.]+@[\w\-\.]+\.[a-zA-Z]{2,4}$/;
        result = re.test(email);
        
        if(!result){ 
          alert ("Неверный формат E-mail!");
          $('#'+email_id).focus();
          return 1;
        }
           
    } // if 
    else {
     alert ("Неверный формат E-mail!");
      $('#'+email_id).focus();
     return 1;
     } // else 
  return 0;
} // function mail_check

function to_form(){
  window.location = window.location;
}    


function change(size,px){
    $('.add_menu font').css('font-weight','normal');
    $('.add_menu .'+size).css('font-weight','bold');
    $('body').css('font-size',px);
    
    $.post("/ajax/scripter.php", { size: size });
}//function       

$(document).ready(function(){

    $('.agreed_readmore').click(function(){

        var text = $('.agreed_text');

        if (text.is('.open')) {
            text.hide();
            text.removeClass('open');
        }
        else {
            text.show();
            text.addClass('open');
        }
    });
});